Stage existing records
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"nodes": [
"<string>"
],
"edges": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"intent": "update"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate"
payload = {
"idempotency_key": "<string>",
"nodes": ["<string>"],
"edges": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"intent": "update"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
nodes: ['<string>'],
edges: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
intent: 'update'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'nodes' => [
'<string>'
],
'edges' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'intent' => 'update'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"staged": [
{
"kind": "entity",
"handle": "<string>",
"ref": "<string>",
"type_name": "<string>",
"name": "<string>",
"properties": {},
"binding": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"evidence": [
{}
],
"created_at": "<string>"
}
],
"notes": [
"<string>"
]
}
}Review workspaces
Stage existing records
Check existing nodes or edges out of the graph into a workspace for update or delete.
Stage existing records
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"nodes": [
"<string>"
],
"edges": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"intent": "update"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate"
payload = {
"idempotency_key": "<string>",
"nodes": ["<string>"],
"edges": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"intent": "update"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
nodes: ['<string>'],
edges: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
intent: 'update'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'nodes' => [
'<string>'
],
'edges' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'intent' => 'update'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"nodes\": [\n \"<string>\"\n ],\n \"edges\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"intent\": \"update\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"staged": [
{
"kind": "entity",
"handle": "<string>",
"ref": "<string>",
"type_name": "<string>",
"name": "<string>",
"properties": {},
"binding": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"evidence": [
{}
],
"created_at": "<string>"
}
],
"notes": [
"<string>"
]
}
}Operation ID:
http.graph.workspaces.hydrate
POST /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/hydrate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 200Maximum array length:
100Node id, or a node name. A unique exact or partial name resolves only after a complete bounded canonical scan; ambiguity or an incomplete scan requires an exact id from the candidates or graph reads.
Required string length:
1 - 1024Edge ids to hydrate.
Maximum array length:
100Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
update, delete Response
2XX - application/json
Success.
Show child attributes
Show child attributes